require ("config")

local bpp = util.table.deepcopy(data.raw["constant-combinator"]["constant-combinator"])
bpp.name = "basic-pressure-plate"
bpp.icon = "__Pressure Plate__/graphics/icon/basic_pressure_plate.png"
bpp.flags = {"placeable-neutral", "player-creation"}
bpp.minable = {hardness = 0.2, mining_time = 0.5, result = "basic-pressure-plate"}
bpp.max_health = 75
bpp.corpse = "small-remnants"
bpp.resistances = {{type = "fire", percent = 60}}
bpp.collision_box = {{-0.40, -0.40}, {0.40, 0.40}}
bpp.collision_mask = {"item-layer", "object-layer", "water-tile"}
bpp.selection_box = {{-0.5, -0.5}, {0.5, 0.5}}
bpp.item_slot_count = 1

if animated_graphics then
	bpp.sprite = {filename = "__Pressure Plate__/graphics/entity/plate-transparent.png", width = 67, height = 58}
else
	bpp.sprite = {filename = "__Pressure Plate__/graphics/entity/plate-up.png", width = 67, height = 58, shift = {-0.021875, 0.16875}}
end
bpp.circuit_wire_connection_point = {shadow = {red = {0.759375, -0.096875}, green = {0.759375, -0.096875},}, wire = {red = {0.30625, -0.39375}, green = {0.30625, -0.39375},}}
bpp.circuit_wire_max_distance = 7.5
data:extend({bpp})

local dppi = util.table.deepcopy(data.raw["simple-entity"]["medium-ship-wreck"])
dppi.name = "decorative-basic-plate-inactive"
dppi.flags = {"placeable-neutral", "not-on-map"}
dppi.icon = "__Pressure Plate__/graphics/icon/decorative_entity.png"
dppi.subgroup = "circuit-network"
dppi.order = "b-e-a"
dppi.max_health = 0
dppi.collision_box = {{-0.4, -0.4}, {0.4, 0.4}}
dppi.selection_box = {{-0.5, -0.5}, {0.5, 0.5}}
dppi.selectable_in_game = false
dppi.render_layer = "floor"
dppi.collision_mask = {"water-tile"}

if animated_graphics then
	dppi.pictures = {filename = "__Pressure Plate__/graphics/entity/plate-up.png", width = 67, height = 58, shift = {-0.021875, 0.16875}}
else
	dppi.pictures = {filename = "__Pressure Plate__/graphics/entity/plate-transparent.png", width = 67, height = 58}
end
data:extend({dppi})

local dppa = util.table.deepcopy(data.raw["simple-entity"]["medium-ship-wreck"])
dppa.name = "decorative-basic-plate-active"
dppa.flags = {"placeable-neutral", "not-on-map"}
dppa.icon = "__Pressure Plate__/graphics/icon/decorative_entity.png"
dppa.subgroup = "circuit-network"
dppa.order = "b-e-b"
dppa.max_health = 0
dppa.collision_box = {{-0.4, -0.4}, {0.4, 0.4}}
dppa.selection_box = {{-0.5, -0.5}, {0.5, 0.5}}
dppa.selectable_in_game = false
dppa.render_layer = "floor"
dppa.collision_mask = {"water-tile"}

if animated_graphics then
	dppa.pictures = {filename = "__Pressure Plate__/graphics/entity/plate-down.png", width = 67, height = 58, shift = {-0.021875, 0.16875}}
else
	dppa.pictures = {filename = "__Pressure Plate__/graphics/entity/plate-transparent.png", width = 67, height = 58}
end
data:extend({dppa})